ProvidersOperations Class
ProvidersOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectProvidersOperations
Constructor
ProvidersOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Gets a resource provider. |
| list |
Gets a list of resource providers. |
| register |
Registers provider to be used with a subscription. |
| unregister |
Unregisters provider from a subscription. |
get
Gets a resource provider.
get(resource_provider_namespace: str, expand: Optional[str] = None, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Provider
Parameters
- expand
- str
The $expand query parameter. e.g. To include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
list
Gets a list of resource providers.
list(top: Optional[int] = None, expand: Optional[str] = None, **kwargs: Any) -> Iterable[azure.mgmt.resource.resources.v2016_02_01.models._models_py3.ProviderListResult]
Parameters
- top
- int
Query parameters. If null is passed returns all deployments. Default value is None.
- expand
- str
The $expand query parameter. e.g. To include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProviderListResult or the result of cls(response)
Return type
Exceptions
register
Registers provider to be used with a subscription.
register(resource_provider_namespace: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Provider
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
unregister
Unregisters provider from a subscription.
unregister(resource_provider_namespace: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.Provider
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.resource.resources.v2016_02_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resource\\resources\\v2016_02_01\\models\\__init__.py'>
Feedback
Submit and view feedback for